<script language="javascript">
function submitComment()
{
	if(document.getElementById('comment_action').value=='save')
	{
		var rtn = true;
	  
		if(document.getElementById('comment_content').value=='')			    			
		{
			rtn = false;
			alert("请输入内容!");
		}
		if(rtn)
		{
			document.postcomm.submit();
		}
		
	}
	
}

function setRate(tmpValue)
{
	document.getElementById('ratevalue').value=tmpValue;
	var rateArr=['1','2','3'];
	for(var i=0; i<rateArr.length; i++)
	{
		if(tmpValue==rateArr[i])
		{
			document.getElementById('article-rate'+rateArr[i]).style.background='#BBB';
		}
		else
		{
			document.getElementById('article-rate'+rateArr[i]).style.background='#DDD';
		}
	}
}
</script>
<?php
if($article_array['is_comment']==0){
$link_target = '_self';
if($act=='book') $link_target = '_top';
?>
<div id="comment" class="sideblock cleanblock">
<h3><a href="comment.php?article_id=<?php echo $id ?>" class="more" target="_blank">查看全部评论(<?php echo $comment_count ?>)</a>我来说两句<input type="checkbox" id="comment_chk" value="1" onclick="showDisplayHidden('comment_chk','postcomm')" ></h3>
<form name="postcomm" id="postcomm" action="comment.php" method="post" target="<?php echo $link_target ?>" style="display:none" >
<p id="article-rates" class="article-rates0">
<label>评分</label>
<a id="article-rate1" href="javascript:;" onclick="setRate('1');" target="_self">差</a>
<a id="article-rate2" href="javascript:;" onclick="setRate('2');" target="_self">中</a>
<a id="article-rate3" href="javascript:;" onclick="setRate('3');" target="_self">好</a>
</p>
<input type="text" size="30" name="title" id="comment_title" value="<?php echo $lang['pls_write_title'] ?>" onfocus="this.value=''" >&nbsp;
<input type="checkbox" name="is_nickname" id="is_nickname" value="1">匿名发表&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" size="4" name="vcode" id="vcode" value="验证码" onfocus="this.value=''" />&nbsp;<img src="api/imgvcode.php" align="absmiddle" />
<p><label for="message"></label><textarea id="comment_content" name="comment_content" style="vertical-align: text-top; width: 80%; height: 6em;"></textarea></p>
<p><button type="button" id="submitcomm" name="submitcomm" value="submit" style="" onclick="submitComment()">发表评论</button></p>
<input type="hidden" name="article_id" id="article_id" value="<?php echo $id ?>">
<input type="hidden" name="ratevalue" id="ratevalue" value="0">
<input type="hidden" name="backurl" id="backurl" value="article.php?id=<?php echo $id ?>">
<input type="hidden" name="act" id="comment_action" value="save">
<p class="txtpadding">
	<b>发表前请仔细阅读下列条款:</b><br>
* 您必须遵守《全国人大常委会关于维护互联网安全的决定》及中华人民共和国其他有关法律法规。<br>
* 承担一切因您的行为而直接或间接导致的民事或刑事法律责任。<br>
* 您发表的文章仅代表个人观点，与本网站无关。<br>
* 本网站评论管理人员有权保留或删除其管辖评论中的任意内容。<br>
* 您在本网站评论系统发表的作品，本网站有权在网站内转载或引用。<br>
* 参与本评论即表明您已经阅读并接受上述条款。 <br>
</p>
</form>

</div>
<?php } ?>